import { InjectionToken } from '@angular/core';
export interface ProgressState {
    active: boolean;
    value: number;
}
export interface ProgressConfig {
    spinnerPosition: 'left' | 'right';
    direction: 'ltr+' | 'ltr-' | 'rtl+' | 'rtl-';
    ease: string;
    color: string;
    thick: boolean;
    fixed: boolean;
    meteor: boolean;
    spinner: boolean;
    max: number;
    min: number;
    speed: number;
    trickleSpeed: number;
    trickleFunc: (n: number) => number;
    debounceTime: number;
}
export declare type NgProgressState = Partial<ProgressState>;
export declare type NgProgressConfig = Partial<ProgressConfig>;
export declare const NG_PROGRESS_CONFIG: InjectionToken<Partial<ProgressConfig>>;
